<template>
  <div>
    <svg viewBox="0 0 15.965 25" xmlns="http://www.w3.org/2000/svg">
      <path
        d="M 6.761 14.878 C 5.999 16.822 3.914 22.177 3.166 24.094 C 3.115 24.22 3.167 24.428 3.298 24.501 C 3.525 24.627 4.001 24.905 4.262 24.982 C 4.416 25.028 4.586 24.982 4.684 24.87 C 6.952 22.252 13.621 14.554 15.896 11.927 C 15.974 11.836 15.987 11.715 15.931 11.613 C 15.803 11.38 15.513 10.858 15.385 10.628 C 15.326 10.521 15.206 10.456 15.072 10.456 C 13.838 10.456 10.278 10.456 9.026 10.456 C 8.97 10.456 8.93 10.406 8.951 10.36 C 9.812 8.39 12.015 2.982 12.867 1.035 C 12.917 0.923 12.96 0.819 12.848 0.733 C 12.618 0.557 12.09 0.112 11.798 0.011 C 11.715 -0.017 11.621 0.008 11.566 0.069 C 9.245 2.714 2.407 10.518 0.092 13.154 C 0.013 13.246 -0.016 13.364 0.009 13.474 C 0.073 13.736 0.204 14.274 0.265 14.519 C 0.302 14.67 0.455 14.78 0.632 14.78 C 1.866 14.78 5.409 14.78 6.681 14.78 C 6.739 14.78 6.778 14.83 6.761 14.878 Z"
        opacity="1"
        :style="'fill: ' + iconColor"
      />
    </svg>
    <span :class="{ 'd-none': !showTitle }">BitTip</span>
  </div>
</template>

<script>
export default {
  name: "TitleIcon",
  props: {
    iconColor: {
      type: String,
      default: "#FFCC00",
    },
    showTitle: {
      type: Boolean,
      default: true,
    },
  },
};
</script>

<style lang="scss" scoped>
div {
  font-family: "Rajdhani", sans-serif;
  font-weight: 400;
  font-size: 2em;
  white-space: nowrap;
}

svg {
  height: 1.1em;
  width: 1.1em;
  max-height: 1.1em;
  max-width: 1.1em;
}
</style>